import Configuration from "../../../domain/context/network/Configuration";
import { Environment } from "../../../domain/context/network/Environment";
import { MirrorNode } from "../../../domain/context/network/MirrorNode";
import { JsonRpcRelay } from "../../../domain/context/network/JsonRpcRelay";
import Service from "../Service";
export interface NetworkProps {
    environment: Environment;
    mirrorNode: MirrorNode;
    rpcNode: JsonRpcRelay;
    consensusNodes?: string;
    configuration?: Configuration;
}
export default class NetworkService extends Service implements NetworkProps {
    private _environment;
    private _mirrorNode;
    private _rpcNode;
    private _consensusNodes?;
    private _configuration;
    set environment(value: Environment);
    get environment(): Environment;
    set configuration(value: Configuration);
    get configuration(): Configuration;
    get mirrorNode(): MirrorNode;
    set mirrorNode(value: MirrorNode);
    get rpcNode(): JsonRpcRelay;
    set rpcNode(value: JsonRpcRelay);
    get consensusNodes(): string | undefined;
    set consensusNodes(value: string | undefined);
    constructor(props?: NetworkProps);
}
